<template>
	<div class="container">
		<div class="row nav">
			<div class="col-12 col-md-4">
				<router-link class="boton" :to="{ name: 'InsertarEquipos' }">
					Crear
				</router-link>
			</div>
		</div>
		<div class="row lista" v-if="equipos.length">
			<div
				class="elemento col-12 col-sm-6 col-md-4 col-xl-3"
				v-for="equipo in equipos"
				:key="equipo.id"
			>
				<router-link
					class="content d-flex justify-content-center align-content-center align-items-center"
					:to="{ name: 'MostrarEquipos', params: { id: equipo.id } }"
				>
					<h2>{{ equipo.nombre }}</h2>
				</router-link>
			</div>
		</div>
		<div v-else>
			<h1>No hay equipos para mostrar</h1>
		</div>
	</div>
</template>

<script>
import axios from "axios";
export default {
	name: "InicioEquipos",
	data() {
		return {
			equipos: [],
		};
	},
	mounted() {
		this.getData();
	},
	methods: {
		getData: function () {
			axios
				.get("http://laboratorio10.test/api/teams")
				.then((response) => response.data)
				.then((data) => {
					console.log(data);
					this.equipos = data;
				});
		},
	},
};
</script>

<style scoped></style>
